.footer {
    padding-top: 86px;
    padding-bottom: 86px;
}

.footer .footer-inner {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding-bottom: 42px;
    border-bottom: solid 1px var(--steel-blue);
}

.footer .footer-nav-item {
    flex: 1;
}

.footer .footer-nav-item.social-item .footer-nav-item-wrapper {
    max-width: 260px;
}

.footer .footer-nav-item.social-item .footer-nav-link .icon-svg {
    flex: 0 0 14px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    margin-right: 9px;
    color: var(--purple);
}

.footer .footer-nav-item.social-item .footer-nav-title {
    margin-bottom: 21px;
}

.footer .footer-nav-item.social-item .footer-nav-link {
    margin-bottom: 21px;
}

.footer .footer-nav-item.form-item {
    flex: 0 0 38%;
    max-width: 456px;
}

.footer .footer-nav-item.form-item .footer-nav-title {
    line-height: 37px;
    margin-bottom: 31px;
}

.footer .subscription-form {
    position: relative;
    height: 52px;
}

.footer .input {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    padding-right: 150px;
}

.footer .button {
    position: absolute;
    height: 100%;
    right: 0;
    top: 0;
    font-size: 16px;
    font-weight: 500;
    line-height: 16px;
    padding-left: 24px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.footer .footer-nav-title {
    font-size: 24px;
    font-weight: 600;
    line-height: 31px;
    margin-bottom: 25px;
}

.footer .footer-nav-link {
    font-size: 16px;
    font-weight: 400;
    line-height: 21px;
    display: flex;
    align-items: center;
    margin-bottom: 24px;
    transition: opacity 0.3s ease;
}

.footer .footer-nav-link:hover {
    opacity: 0.8;
}

.footer .social-links-box {
    display: flex;
    align-items: center;
}

.footer .social-links-box span {
    margin-right: 14px;
    font-size: 16px;
    font-weight: 400;
    line-height: 31px;
}

.footer .footer-nav-social-link {
    width: 28px;
    height: 28px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--purple);
    margin-right: 10px;
    transition: transform 0.3s ease;
}

.footer .footer-nav-social-link:hover {
    transform: scale(1.2);
}

.footer .social-links-box .icon-svg {
    width: 14px;
    height: 14px;
}

.footer .footer-privacy {
    color: var(--steel-blue);
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    font-size: 12px;
    font-weight: 400;
    line-height: 14px;
    padding-top: 20px;
}

@media only screen and (max-width: 1024px) {
    .footer {
        padding-top: 40px;
        padding-bottom: 40px;
    }

    .footer .footer-nav-item.form-item {
        flex: 0 0 100%;
        max-width: 100%;
        padding-top: 30px;
    }
}

@media only screen and (max-width: 768px) {
    .footer .footer-nav-title {
        font-size: 20px;
        line-height: 26px;
        margin-bottom: 16px;
    }

    .footer .footer-nav-item {
        flex: 0 0 100%;
        max-width: 100%;
        padding-top: 30px;
    }

    .footer .footer-nav-link {
        font-size: 12px;
        line-height: 18px;
        margin-bottom: 12px;
    }

    .footer .footer-nav-item.form-item .footer-nav-title {
        line-height: 30px;
        margin-bottom: 26px;
    }

    .footer .footer-nav-item:first-child {
        padding-top: 0;
    }

    .footer .subscription-form {
        height: 42px;
    }
}
